Skip to content

getDocumentTemplateConfig

READ

Load a stored document template as a `DocumentTemplate | null` ready to pass to a PDF (which runs it through `resolveTemplate`).

POST /api/v1/settings/getDocumentTemplateConfig
curl -X POST '<your-host>/api/v1/settings/getDocumentTemplateConfig' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "documentType": "string"
  }'
Response
{
  "formatVersion": 0,
  "documentType": "purchaseOrder",
  "blocks": [
    "…"
  ],
  "theme": {
    "accent": "string",
    "accentForeground": "string",
    "heading": "string",
    "text": "string"
  },
  "settings": {
    "fontFamily": "Inter",
    "showPageNumbers": true,
    "pageNumberFormat": "page",
    "showRegistrationLine": true
  },
  "headerSectionId": "string",
  "footerSectionId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "documentType": {}
  },
  "required": [
    "documentType"
  ]
}